# Volume: get

Retrieves a [Volume resource](https://developers.google.com/books/docs/v1/reference/volumes) based on ID.
[Try it now](https://developers.google.com/books/docs/v1/reference/volumes/get#try-it).

More information about user IDs can be found in the section [Google Books IDs](https://developers.google.com/books/docs/v1/using#ids).

## Request

### HTTP Request

```
GET https://www.googleapis.com/books/v1/volumes/volumeId
```

### Parameters

| Parameter Name | Value | Description |
|---|---|---|
| **Required Parameters** |||
| `volumeId` | `string` | ID of volume to retrieve. |
| **Optional Parameters** |||
| `partner` | `string` | Brand results for partner ID. |
| `projection` | `string` | Restrict information returned to a set of selected fields. <br /> <br /> Acceptable values are: - "`full`" - Includes all volume data. - "`lite`" - Includes a subset of fields in volumeInfo and accessInfo. |
| `source` | `string` | String to identify the originator of this request. |

### Request Body

Do not supply a request body with this method.

## Response

If successful, this method returns a [Volume resource](https://developers.google.com/books/docs/v1/reference/volumes#resource) in the response body.

## Try It!


Use the explorer below to call this method on live data and see the response.